Name:           nethserver-docker
Version: 0.0.0
Release: 1%{?dist}
Summary:        NethServer Docker configuration

License:        GPLv3+
URL: %{url_prefix}/%{name}
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  nethserver-devtools
Requires:       docker-ce

%description
NethServer configuration for Docker CE

%prep
%setup

%build
%{makedocs}
perl createlinks


%install
(cd root   ; find . -depth -print | cpio -dump %{buildroot})
%{genfilelist} %{buildroot} > %{name}-%{version}-filelist
mkdir -p %{buildroot}%{_nsstatedir}/portainer


%files -f %{name}-%{version}-filelist
%doc COPYING
%doc README.rst
%config(noreplace) %attr (0644,root,root) %{_sysconfdir}/docker/docker.conf
%dir %{_nseventsdir}/%{name}-update
%dir %{_nsstatedir}/portainer

%changelog
* Wed Mar 18 2020 mrmarkuz <31746411+mrmarkuz@users.noreply.github.com> - 7.gaaa415f.ns7
- Install docker repository (#2) (Stephane de Labrusse <stephdl@de-labrusse.fr>)
- Change portainer ip (#3) (Stephane de Labrusse <stephdl@de-labrusse.fr>)
- Accept ping from aqua (#4) (Stephane de Labrusse <stephdl@de-labrusse.fr>)
- Merge branch 'portainer' (Davide Principi <davide.principi@nethesis.it>)
- Updated README.rst (Davide Principi <davide.principi@nethesis.it>)
- Add .spec file and basic configuration (Davide Principi <davide.principi@nethesis.it>)
- Initial commit (portainer) (Davide Principi <davide.principi@nethesis.it>)
